package de.itstall;

public class GameField {
	int width, height;
	private GameTile[][] field;

	GameField(int width, String stringField) {
		this.width = width;
		this.height = stringField.length() /width;

		field = new GameTile[width][this.height];

		for (int y = 0; y < this.height; ++y) {
			for (int x = 0; x < width; ++x) {

				switch (stringField.charAt(x + y * width)) {
					case '#':
						field[x][y] = new WallTile(new Position(x, y));
						break;
					case ' ':
					default:
						field[x][y] = new EmptyTile(new Position(x, y));
						break;
				}
			}
		}
	}

	boolean checkField(int x, int y) {
		return this.field[x][y].getClass().getSimpleName().equals("EmptyTile") && x >= 0 && y >= 0 && x <= this.width && y <= this.height;
	}

	@Override
	public String toString() {

		StringBuilder sb = new StringBuilder();

		for (int y = 0; y < this.field[0].length; y++) {
			for (GameTile[] gameTiles : this.field) {
				sb.append(gameTiles[y]);
			}
		}

		return sb.toString();
	}
}
